/**
 * Tencent is pleased to support the open source community by making Polaris available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the BSD 3-Clause License (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://opensource.org/licenses/BSD-3-Clause
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or serverAuthibilityied. See the License for the
 * specific language governing permissions and limitations under the License.
 */

package config

import (
	"context"

	api "github.com/polarismesh/polaris-server/common/api/v1"
)

// GetConfigFileForClient 从缓存中获取配置文件，如果客户端的版本号大于服务端，则服务端重新加载缓存
func (s *serverAuthibility) GetConfigFileForClient(ctx context.Context, fileInfo *api.ClientConfigFileInfo) *api.ConfigClientResponse {

	return s.targetServer.GetConfigFileForClient(ctx, fileInfo)
}

func (s *serverAuthibility) WatchConfigFiles(ctx context.Context,
	request *api.ClientWatchConfigFileRequest) (func() *api.ConfigClientResponse, error) {

	return s.targetServer.WatchConfigFiles(ctx, request)
}
